using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Entity_FrameWork
{
    public partial class Login : Form
    {
        public Login()
        {
            InitializeComponent();
            this.MinimumSize = new System.Drawing.Size(313, 492);
        }
        Entity_FrameWorkEntities5 MyModel = new Entity_FrameWorkEntities5();
        int login = 0;
       
        private void button_Login_Click(object sender, EventArgs e)
        {
          

     var query=   MyModel.Table_User.Where(user => user.User == textBox_User.Text && user.Password == textBox_Password.Text);

     if (query.Count() != 0)
     {

         this.Hide();
         Main main = new Main();
         main.ShowDialog();
     }
     else
     {
         FMessegeBox.FarsiMessegeBox.Show("نام كاربري يا كلمه عبور صحيح نيست");
         login++;
     }
     if (login == 3)
     {
         FMessegeBox.FarsiMessegeBox.Show("به علت اشتباه وارد پسوردبيش از سه بار برنامه بسته مي شود");
         Application.Exit();
     }
           
         
        }

        private void Login_Load(object sender, EventArgs e)
        {
           
        }

        private void button_Close_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

        private void textBox_User_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (Convert.ToInt32(e.KeyChar) == 13)
            {
                var query = MyModel.Table_User.Where(user => user.User == textBox_User.Text && user.Password == textBox_Password.Text);

                if (query.Count() != 0)
                {

                    this.Hide();
                    Main main = new Main();
                    main.ShowDialog();
                }
                else
                {
                    FMessegeBox.FarsiMessegeBox.Show("نام كاربري يا كلمه عبور صحيح نيست");
                    login++;
                }
                if (login == 3)
                {
                    FMessegeBox.FarsiMessegeBox.Show("به علت اشتباه وارد پسوردبيش از سه بار برنامه بسته مي شود");
                    Application.Exit();
                }
            }
        }

        private void textBox_Password_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (Convert.ToInt32(e.KeyChar) == 13)
            {
                var query = MyModel.Table_User.Where(user => user.User == textBox_User.Text && user.Password == textBox_Password.Text);

                if (query.Count() != 0)
                {

                    this.Hide();
                    Main main = new Main();
                    main.ShowDialog();
                }
                else
                {
                    FMessegeBox.FarsiMessegeBox.Show("نام كاربري يا كلمه عبور صحيح نيست");
                    login++;
                }
                if (login == 3)
                {
                    FMessegeBox.FarsiMessegeBox.Show("به علت اشتباه وارد پسوردبيش از سه بار برنامه بسته مي شود");
                    Application.Exit();
                }
            }
        }
    }
}
